summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Elvio Basello2014-09-10 13:13:44 +0200
committer Willy Sudiarto Raharjo2014-09-10 13:13:44 +0200
commit26cddc24972c0da9747d651ae74c86900d2dee44 (patch)
treebd2f3fac0a110c61188593baf6871f5c1d86567d
parent597ccc0e47df46cfef510fab11fae690022fafa9 (diff)
downloadslackbuilds-26cddc24972c0da9747d651ae74c86900d2dee44.tar.gz
network/x2goserver: Added (X2Go Remote Desktop solution).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/x2goserver/README25
-rw-r--r--network/x2goserver/doinst.sh3
-rw-r--r--network/x2goserver/rc.x2goserver26
-rw-r--r--network/x2goserver/slack-desc19
-rw-r--r--network/x2goserver/x2goserver.SlackBuild105
-rw-r--r--network/x2goserver/x2goserver.info10
6 files changed, 188 insertions, 0 deletions
diff --git a/network/x2goserver/README b/network/x2goserver/README
new file mode 100644
index 0000000000..fb3ef8d575
--- /dev/null
+++ b/network/x2goserver/README
@@ -0,0 +1,25 @@
+X2Go enables you to access a graphical desktop of a computer over
+a low bandwidth (or high bandwidth) connection.
+X2Go is a Remote Desktop solution, which is not to be confused
+with Microsoft Remote Desktop Connection.
+You can connect from a computer running Linux, Windows or MacOS X.
+Multiple users/clients can access a single X2Go Server at the same
+time, with each user/client having an individual Desktop session
+by default; however, desktop sharing is possible.
+This is the server.
+
+This script requires a 'x2gouser' user/group to exist before running.
+You can create these using:
+groupadd -g 290 x2gouser
+useradd -u 290 -g 290 -c "X2Go Remote Desktop" -M -d /var/lib/x2go -s /bin/false x2gouser
+
+groupadd -g 291 x2goprint
+useradd -u 291 -g 291 -c "X2Go Remote Desktop" -m -d /var/spool/x2goprint -s /bin/false x2goprint
+chown x2goprint:x2goprint x2goprint
+chmod 0770 x2goprint
+
+Before running the server, you have to initialize the internal database:
+x2godbadmin --createdb
+
+If you want to run the server at boot, just run:
+chmod +x /etc/rc.d/rc.x2goserver
diff --git a/network/x2goserver/doinst.sh b/network/x2goserver/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/x2goserver/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/x2goserver/rc.x2goserver b/network/x2goserver/rc.x2goserver
new file mode 100644
index 0000000000..49bdedafff
--- /dev/null
+++ b/network/x2goserver/rc.x2goserver
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# /etc/rc.d/rc.x2goserver
+#
+# Start/stop/restart the X2Go server.
+#
+# To make X2Go start automatically at boot, make this
+# file executable: chmod 755 /etc/rc.d/rc.x2goserver
+
+case "$1" in
+ 'start')
+ /usr/sbin/x2gocleansessions
+ ;;
+ 'stop')
+ killall x2gocleansessions
+ # Forcibly remove .pid locations:
+ rm -f /var/run/x2goserver.pid
+ ;;
+ 'restart')
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ ;;
+esac
diff --git a/network/x2goserver/slack-desc b/network/x2goserver/slack-desc
new file mode 100644
index 0000000000..86c1316907
--- /dev/null
+++ b/network/x2goserver/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+x2goserver: x2goserver (X2Go Remote Desktop solution)
+x2goserver:
+x2goserver: X2Go enables you to access a graphical desktop of a computer over a
+x2goserver: low bandwidth (or high bandwidth) connection.
+x2goserver: X2Go is a Remote Desktop solution, which is not to be confused with
+x2goserver: Microsoft Remote Desktop Connection.
+x2goserver: You can connect from a computer running Linux, Windows or MacOS X.
+x2goserver: Multiple users/clients can access a single X2Go Server at the same
+x2goserver: time, with each user/client having an individual Desktop session by
+x2goserver: default; however, desktop sharing is possible.
+x2goserver: This is the server.
diff --git a/network/x2goserver/x2goserver.SlackBuild b/network/x2goserver/x2goserver.SlackBuild
new file mode 100644
index 0000000000..dd02fac78e
--- /dev/null
+++ b/network/x2goserver/x2goserver.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for x2goserver
+
+# Copyright 2014 Elvio "HelLViS69" Basello <hellvis69@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=x2goserver
+VERSION=${VERSION:-4.0.1.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+# There is no configure, so we have to move stuff out of /usr/local
+mv $PKG/usr/local/* $PKG/usr/
+rmdir $PKG/usr/local
+
+# Fix lib dir
+mkdir -p $PKG/usr/share/perl5/vendor_perl
+cp $PKG/usr/lib/x2go/*.pm $PKG/usr/share/perl5/vendor_perl
+if [ ! -z "$LIBDIRSUFFIX" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Install init script
+mkdir $PKG/etc/rc.d
+cat $CWD/rc.x2goserver > $PKG/etc/rc.d/rc.x2goserver
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/x2goserver/x2goserver.info b/network/x2goserver/x2goserver.info
new file mode 100644
index 0000000000..9a6d9cd094
--- /dev/null
+++ b/network/x2goserver/x2goserver.info
@@ -0,0 +1,10 @@
+PRGNAM="x2goserver"
+VERSION="4.0.1.15"
+HOMEPAGE="http://www.x2go.org"
+DOWNLOAD="http://code.x2go.org/releases/source/x2goserver/x2goserver-4.0.1.15.tar.gz"
+MD5SUM="6b1d77f1955103cd59958fc67a0b77e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Config-Simple perl-File-ReadBackwards"
+MAINTAINER="Elvio Basello (HelLViS69)"
+EMAIL="hellvis69@gmail.com"